<?php
/*
Template Name: CleanPort Lite Frontpage
*/
?>
<?php get_header(); ?>

<div id="slider"> <?php echo themefurnace_show_flexslider_rotator( 'homepage' ); ?> </div>
<div id="features">
  <div class="container">
    <?php /* Widgetised Area */
if ( !dynamic_sidebar( 'Main Features' ) ) ?>
  </div>
</div>
<?php
$portfolio_category = get_theme_mod( 'fp_portfolio_category' );
if( !empty( $portfolio_category ) ):
    // portfolio
?>
<div id="portfoliohome">
  <div class="container">
    <?php

query_posts( 'cat=' . (int) $portfolio_category . '&posts_per_page=' . (int) get_theme_mod( 'fp_portfolio_items', 4 ) );
?>
    <?php while ( have_posts() ) : the_post() ?>
    <a href="<?php the_permalink(); ?>">
    <div class="portfolioitem">
      <div class="portfoliooverlay">
        <div class="portfolioinfo">
          <h2 class="porthomehead">
            <?php the_title(); ?>
          </h2>
        </div>
      </div>
      <?php the_post_thumbnail( 'portfolio-thumb', array( 'class' => 'portfoliothumb' ) ); ?>
    </div>
    </a>
    <?php endwhile; ?>
    <?php wp_reset_query(); ?>
  </div>
</div>
<?php
    // end portfolio
    endif;
?>
<div id="homewidgets">
  <div class="container">
    <?php /* Widgetised Area */
if ( !dynamic_sidebar( 'Home Widgets' ) ) ?>
    <?php /* Widgetised Area */
if ( !dynamic_sidebar( 'Small Features' ) ) ?>
  </div>
</div>
<?php
    $blog_items_per_page = get_theme_mod( 'fp_blog_items', 4 );
    $slider_category = get_theme_mod( 'fp_slider_category', 0 );
    $exclude_categories = array();
    $exclude_categories[] = -(int) $slider_category;
    if( !empty( $portfolio_category ) ) {
        $exclude_categories[] = -(int) $portfolio_category;
    }

    query_posts( 'cat=' . implode( ',', $exclude_categories ) . '&posts_per_page=' . (int) $blog_items_per_page );
?>
<div id="bloghome">
  <h3 class="bloghomeheading"><span>
    <?php _e( 'Latest From Our Blog', 'cleanport' ) ?>
    </span></h3>
  <div class="container">
    <?php while ( have_posts() ) : the_post() ?>
    <div id="post-<?php the_ID(); ?>" class="bloghomeitem"> <a href="<?php the_permalink(); ?>">
      <div class="bloghomeinfo">
        <h2 class="bloghomehead">
          <?php the_title(); ?>
        </h2>
        <ul class="bloghomemeta">
          <li class="timehome"><i class="fa fa-calendar"></i>
            <?php the_time( 'F j, Y' ) ?>
          </li>
          <li class="commentshome"><i
                                    class="fa fa-comments"></i>
            <?php comments_number( '' . __( '0 Comments', 'cleanport' ) . '', '' . __( '1 Comments', 'cleanport' ) . '', '' . __( '% Comments', 'cleanport' ) . '' ); ?>
          </li>
        </ul>
      </div>
      <?php if ( has_post_thumbnail() ) {
                        the_post_thumbnail( 'blog-thumb', array( 'class' => 'blogimg' ) );
                    } else {
                        ?>
      <img src="<?php echo get_template_directory_uri(); ?>/img/defaultthumb.png" class="blogimg"
                             alt="<?php the_title(); ?>"/>
      <?php } ?>
      </a></div>
    <?php endwhile; ?>
    <?php wp_reset_query(); ?>
  </div>
</div>
<?php get_footer(); ?>
